> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# targetyear

> Year MDO list. Includes the two coming years, this year, and previous 5 years

## "targetyear" MDO List

Year MDO list. Includes the two coming years, this year, and previous 5 years

Implemented by the <see cref="T:SuperOffice.CRM.Lists.TargetYearProvider">TargetYearProvider</see> class.
The name of the MDO list is 'targetyear'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/targetyear
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("targetyear", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id   | Name | StyleHint | ExtraInfo |
| ---- | ---- | --------- | --------- |
| 2028 | 2028 |           |           |
| 2027 | 2027 |           |           |
| 2026 | 2026 |           |           |
| 2025 | 2025 |           |           |
| 2024 | 2024 |           |           |
| 2023 | 2023 |           |           |
| 2022 | 2022 |           |           |
| 2021 | 2021 |           |           |

## Related MDO Lists

* "targetyearheadings"
* "targetyearheadingswithallitem"
* "targetyearheadingswithallitemwithnoselection"
* "targetyearheadingswithnoselection"
* "targetyearwithallitem"
* "targetyearwithallitemwithnoselection"
* "targetyearwithnoselection"


## Related topics

- [SuperOffice.WebApi.Agents.ITargetsAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.ITargetsAgent.md)
- [SuperOffice.WebApi.Agents.TargetsAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.TargetsAgent.md)
- [TargetValue](/en/api/archive-providers/reference/targetvalue.md)
- [TargetValueSub](/en/api/archive-providers/reference/targetvaluesub.md)
- [Get Target Group For Year And Dimension](/en/api/reference/restful/agent/targets_agent/get-target-group-for-year-and-dimension.md)
- [Get Target Group For Year](/en/api/reference/restful/agent/targets_agent/get-target-group-for-year.md)
